Bug 29533 - Firefox claims smartcard PIN more and more times, when chromium asks it only once
Summary: Firefox claims smartcard PIN more and more times, when chromium asks it only ...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA8-64-OK
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2021-10-07 17:39 CEST by papoteur
Modified: 2021-10-15 08:59 CEST (History)
5 users (show)

See Also:
Source RPM: firefox-91.2.0-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description papoteur 2021-10-07 17:39:57 CEST
Description of problem:
I must use a smartcard reader from GEMALTO for accessing a specific professional site. 
I had to use sc-interface from Cryptovision which provides a library. I configured Security Devices with /usr/local/lib/libcvP11.so
When I access the secured site, the PIN is asked. Normally, one time will be enough, but the window for the PIN comes again and again until the site is completely displayed.
By comparison, Chromium asks the PIN, then ask which certificate to use, then all is fine.

Version-Release number of selected component (if applicable):
91-ESR, but this was already the case with 78-ESR.
Comment 1 papoteur 2021-10-09 11:58:32 CEST
I reported it also upstream.
https://bugzilla.mozilla.org/show_bug.cgi?id=1734810
After further testing, the problem is present with 91-ESR release from upstream, but not with the 93.0 release.
Comment 2 Marja Van Waes 2021-10-10 19:06:50 CEST
(In reply to papoteur from comment #1)
> I reported it also upstream.
> https://bugzilla.mozilla.org/show_bug.cgi?id=1734810
> After further testing, the problem is present with 91-ESR release from
> upstream, but not with the 93.0 release.

Thanks!

When you see that they have patched 91-ESR for this issue, then please assign this report to all packagers collectively (or to its maintainer, if it has one, then), so that the patch can be imported.

Keywords: (none) => UPSTREAM
CC: (none) => marja11
Status comment: (none) => solved upstream in firefox-93.0
See Also: (none) => https://bugzilla.mozilla.org/show_bug.cgi?id=1734810

Comment 3 papoteur 2021-10-11 22:18:12 CEST
Here is the report for the resolution in Firefox 93.
However, the patch has not been ported to ESR. Discussions are on going.
https://bugzilla.mozilla.org/show_bug.cgi?id=1710731
Comment 4 papoteur 2021-10-13 09:02:27 CEST
A correction has been pushed to 91.3esr
https://hg.mozilla.org/releases/mozilla-esr91/rev/4c8b37c0072d
Comment 5 Marja Van Waes 2021-10-13 22:22:17 CEST
(In reply to papoteur from comment #4)
> A correction has been pushed to 91.3esr
> https://hg.mozilla.org/releases/mozilla-esr91/rev/4c8b37c0072d

Nice :-)

Assigning to all packagers collectively, since "Nobody" maintains this package.

One of them might already want to add the upstream patch to 91.2  instead of waiting for 91.3 to be released.

Status comment: solved upstream in firefox-93.0 => solved upstream in firefox-93.0, patch available for 91
Assignee: bugsquad => pkg-bugs
Version: 8 => Cauldron
Whiteboard: (none) => MGA8TOO

Comment 6 Nicolas Salguero 2021-10-14 13:22:13 CEST
Hi,

I added the patch from comment4.  Does firefox-91.2.0-1.1.mga8, which is in core/updates_testing, solve the problem?

Best regards,

Nico.

CC: (none) => nicolas.salguero

Comment 7 papoteur 2021-10-14 16:16:12 CEST
(In reply to Nicolas Salguero from comment #6)
> Hi,
> 
> I added the patch from comment4.  Does firefox-91.2.0-1.1.mga8, which is in
> core/updates_testing, solve the problem?
> 
Yes, it does !
\o/
Comment 8 Nicolas Salguero 2021-10-14 16:26:56 CEST
Suggested advisory:
========================

The updated package fixes Firefox prompting repeatedly for smartcard password.

References:
https://bugzilla.mozilla.org/show_bug.cgi?id=1734810
https://bugzilla.mozilla.org/show_bug.cgi?id=1710731
========================

Updated packages in core/updates_testing:
========================
firefox-91.2.0-1.1.mga8

from SRPM:
firefox-91.2.0-1.1.mga8.src.rpm

Assignee: pkg-bugs => qa-bugs
Status: NEW => ASSIGNED
Version: Cauldron => 8
Status comment: solved upstream in firefox-93.0, patch available for 91 => (none)
Keywords: UPSTREAM => (none)
Whiteboard: MGA8TOO => (none)
Source RPM: firefox-91 => firefox-91.2.0-1.mga8.src.rpm

Comment 9 Thomas Andrews 2021-10-14 22:56:46 CEST
Accepting the test in Comment 7 for function, so I'm just looking to see if the fix broke anything else.

No installation issues. Tried several websites, no issues noted. Sending this on.

Validating. Advisory in Comment 8.

Whiteboard: (none) => MGA8-64-OK
Keywords: (none) => validated_update
CC: (none) => andrewsfarm, sysadmin-bugs

Comment 10 Morgan Leijström 2021-10-15 08:59:51 CEST
OK 64 bit Plasma, nvidia, 4kscreen, for mee too
I do not have a smartcard
I am testing it in my normal usage, so far so good, and keep using.

CC: (none) => fri


Note You need to log in before you can comment on or make changes to this bug.